<?php
	session_start();
	include('database.php');
	DB_connexion(); 
	
	$dossier = 'Avatar/';
	$fichier = basename($_FILES['fichier_choisi']['name']);
	//$taille_maxi = 1000000;
	//$taille = filesize($_FILES['avatar']['tmp_name']);
	$extensions = array('.jpg', '.jpeg');
	$extension = strrchr($_FILES['fichier_choisi']['name'], '.'); 

	// vide
	if($fichier == "")
	{
		header ('Location: avatar.php');
	}
	
	//extension qui n'existe pas dans le tableau
	if(!in_array($extension, $extensions)) 
	{
		header ('Location: avatar.php');
	}
	
	/*if($taille>$taille_maxi)
	{
		$erreur = 'Le fichier est trop gros...';
	}*/
	
	//Il n'y a pas d'erreur, on upload
	if(in_array($extension, $extensions)) 
	{
		//remplace les lettres accentutées 
		$fichier = strtr($fichier,
		'ÀÁÂÃÄÅÇÈÉÊËÌÍÎÏÒÓÔÕÖÙÚÛÜÝàáâãäåçèéêëìíîïðòóôõöùúûüýÿ',
		'AAAAAACEEEEIIIIOOOOOUUUUYaaaaaaceeeeiiiioooooouuuuyy'); 
 
		//Expression régulière qui remplace tout ce qui n'est pas une lettre non accentuées ou un chiffre
		//dans $fichier par un tiret "-" et qui place le résultat dans $fichier.
		$fichier = preg_replace('/([^.a-z0-9]+)/i', '-', $fichier); 
	 
		//Si la fonction renvoie TRUE, c'est que ça a fonctionné...
		if(move_uploaded_file($_FILES['fichier_choisi']['tmp_name'], $dossier . $fichier)) 
		{
			include('traitement_image.php');
			redimensionner_image($fichier, $dossier.$fichier, 100); 
				
			//$_SESSION['login'] = 'alfred';	
				
			$tab = explode(".",$fichier);
			$extension_image = array_pop($tab);
			$fichier_avatar = $_SESSION['login'] ."_avatar" ."." .$extension_image;		
			rename($dossier.$fichier,  $dossier.$fichier_avatar);
				
			// sauvegarder dans la DB le nom du fichier avatar
			$login = $_SESSION['login']; 
			$id = $_SESSION['user_id'];
					
			$sql = "UPDATE membres SET login  = '$login', 
	        			    avatar  = '$fichier_avatar'
							WHERE id = '$id' " ;
					
			$requete = mysql_query($sql);

			$_SESSION['message'] = "ok";		
			
			header ('Location: avatar.php');
			
		}
		
		else { header ('Location: avatar.php');
			 }
		
	}

	
?>
